<div class="container-fluid px-0 h-100">
  <div class="row no-gutters h-100">
    <div id="map" class="col"></div>

    <div class="filters col-md-auto py-2 px-2" style="width: 375px; min-height: 100%">
      <h5><%= t('.filters') %></h5>

      <%= javascript_pack_tag 'procedures_map/SelectedFiltersLegend' %>

      <div id="filters-accordion">
        <%= search_form_for @search, url: search_procedures_path, html: { method: :post }, remote: true, id: 'search-form' do |f| %>
          <%= render partial: 'procedures/filters/health_facilities', locals: { form: f } %>

          <%= render partial: 'procedures/filters/procedures', locals: { form: f } %>

          <%= render partial: 'procedures/filters/patients', locals: { form: f } %>

          <%= render partial: 'procedures/filters/csw_heat_map' %>

          <%= submit_tag(t('.search'), class: 'm-2 btn btn-primary', onclick: "loadingOverlay.showOverlay()") %>

          <btn id="clear-filters-button" class="m-2 btn btn-secondary"><%= t('.clear_filters') %></btn>
        <% end %>

      </div>

      <%= javascript_tag do %>
        $('#filters-accordion').find('select').change();
      <% end %>

      <h5 class="pt-4"><%= t '.map_options' %></h5>

      <%= render partial: 'procedures/map/options' %>

      <h5 class="pt-4"><%= t '.export' %></h5>

      <div>
        <div class="float-left">
          <%= link_to t('.download_csv'), export_procedures_path(format: :csv), class: 'm-2 btn btn-secondary' %>
        </div>

        <div class="float-left">
          <%= render partial: 'pdf_generator' %>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="modal justify-content-center" data-backdrop="static" data-keyboard="false" id="loading-overlay" role="overlay">
  <div class="modal-dialog d-flex h-100 mt-0 mx-auto">
    <div class="spinner-border text-light justify-content-center align-self-center mx-auto" role="status">
      <span class="sr-only">Loading...</span>
    </div>
  </div>
</div>

<%= render partial: 'procedures/map/load', formats: [:js], locals: {
  health_facilities: prepare_health_facilities_data(@health_facilities, false).to_json
} %>
